#include "q_shared.h"

// Joe
// from CalcMuzzlePoint
void BG_CalcMuzzlePoint (vec3_t origin, int viewheight, vec3_t forward, vec3_t
                         muzzlePoint) {
    // origin should be the same as trBase
    VectorCopy( origin, muzzlePoint );
    muzzlePoint[2] += viewheight;
    VectorMA( muzzlePoint, 14, forward, muzzlePoint );
    // snap to integer coordinates for more efficient network bandwidth
    // usage
    SnapVector( muzzlePoint );
}
